PHP 7 (exported) (My Little Forum)

by Martin ⌂ @, Wednesday, January 03, 2018, 16:42 316 days ago 578 views

This is an entry, that was exported to mylittleforum.net.

First of all, thank you, Auge, for setting up this interims forum.

I am using MLF for quite a while now, but with the end of 2018 my hoster will no longer support PHP version 5.x. This means that hundreds of mysql-commands throughout the forum scripts have to be rewritten. Are there plans to make the forum software fit for the new PHP versions?

  • locked
Avatar

PHP 7 (exported)

by Auge @, Wednesday, January 03, 2018, 18:26 316 days ago @ Martin 549 views

This is an entry, that was exported to mylittleforum.net.

Hello Martin

I am using MLF for quite a while now, but with the end of 2018 my hoster will no longer support PHP version 5.x. This means that hundreds of mysql-commands throughout the forum scripts have to be rewritten.

Which MySQL-Commands do you mean? Do you talk about the outdated mysql_foo PHP-functions? These functions are not in use anymore since version 2.3.5 (june 2016). If you want to update to an actual version, be aware, that you have to update first to version 2.3.5 from an older version than that! Because of a show stopping bug in some environments (configuration settings of MySQL, the error occurs also here), that was fixed after the last release (2.4.6) I can not recommend an update to this version (2.4.6). We will release a fixed version (2.4.7) within the next days.

[edit]Meanwhile the version 2.4.7 was released.[/edit]

Are there plans to make the forum software fit for the new PHP versions?

This forum – with all it's teething troubles – runs under PHP 7.2. Most of the problems seems to be originated in the strict mode of the database (MySQL 5.7) but I also found a first occurence of a PHP-based problem.

Tschö, Auge

  • locked
RSS Feed of thread